class ServiceUrls {
  static String getUserLeaderBoard = '/leaderBoard/userLeaderBoard';

  static String getUserRewards = '/leaderBoard/userRewards';

  static String getAllUsers(String applicationId) =>
      '/users/application/$applicationId';

  static String createUser = '/users/addUser';

  static String updateUser(String userId, String appId) =>
      '/v1/users/update/$userId/application/$appId';

  static String uploadUserList = 'users/add/usersList';

  static String getSasToken = '/sasToken';

  static String updateGameAction = '/userCompletedGame/triggerGameAction';

  static String getUserById(String userId, String appId) =>
      '/users/$userId/$appId';

  static String getAllPrivilegeStages(String applicationId) =>
      '/privilegeStage/user/application/lookup/$applicationId';

  static String getAuthToken = '/v1/tokens/accessToken';

  static String getRedeemRulesByApplication(String applicationId) =>
      '/api/RedemptionRule/getbyGamificationApplicationId/$applicationId';

  static String getUserGroupByAppId = '/v1/leaderBoard/UserRankinGroup';
  static String getRankByUserGroupId(int pageNo, int itemsPerPage) =>
      '/v1/leaderBoard/byuserGroupId/${pageNo}/$itemsPerPage';

  static String getMyOrders = "/api/Order/GetByUser";
  static String getWalletBalance = "/api/VirtualMoneyBalance/userbalance";
  static String getOrders = "/api/Order/GetMyOrders";
  static String redeemProduct = "/api/RedemptionRule/redeemProduct";
}
