import 'package:get/get.dart';
import 'package:progamification/src/services/redeem.service.dart';

class RedeemController extends GetxController {
  RedeemService redeemService = Get.find();

  RedeemController();

  Future<Map<String, dynamic>> getWalletBalance(
      String userId, String applicationId) async {
    var data = await redeemService.getWalletBalance(applicationId, userId);
    dynamic walletdata = data.data['balance'][0];
    return walletdata;
  }
}
