import 'package:json_annotation/json_annotation.dart';
part 'leader_board.g.dart';

@JsonSerializable()
class LeaderBoardModel {
  LeaderBoardModel();

  late String id;
  late int rank;
  late String userId;
  late String userName;
  late int score;
  late String application;
  late String profileImageUrl;
  factory LeaderBoardModel.fromJson(Map<String, dynamic> json) =>
      _$LeaderBoardModelFromJson(json);

  Map<String, dynamic> toJson() => _$LeaderBoardModelToJson(this);
}

// @JsonSerializable()
// class UserReward {
//   UserReward();

//   late String id;
//   late String value;
//   late String lookupItemId;
//   late String sourceImgUrl;
//   late String imageAnimationUrl;
//   late String createdAt;
//   late String updatedAt;
//   late int v;

//   factory UserReward.fromJson(Map<String, dynamic> json) =>
//       _$UserRewardFromJson(json);

//   Map<String, dynamic> toJson() => _$UserRewardToJson(this);
// }
